package com.ynet.life.message;

import java.util.HashMap;
import java.util.Map;

/* loaded from: com_ynet_life_message.jar:com/ynet/life/message/MessageConfig.class */
public class MessageConfig {
    private String businessCode;
    private Map fields = new HashMap();
    private Map formats = new HashMap();

    public MessageConfig(String businessCode) {
        this.businessCode = businessCode;
    }

    public void addField(String id, int type, boolean mask, String paramCode, String format) {
        this.fields.put(id, new MessageField(id, type, mask, paramCode, format));
    }

    public void addFormat(String id, String language, String format) {
        this.formats.put(language == null ? id : String.valueOf(id) + "_" + language, format);
    }

    public String getBusinessCode() {
        return this.businessCode;
    }

    public MessageField getField(String id) {
        return (MessageField) this.fields.get(id);
    }

    public String getFormat(String id, String language) {
        String str = (String) this.formats.get(String.valueOf(id) + "_" + language);
        String format = str;
        if (str == null) {
            String str2 = (String) this.formats.get(id);
            format = str2;
            if (str2 == null) {
                format = (String) this.formats.get(String.valueOf(id) + "_ZH_CN");
            }
        }
        return format;
    }

    public MessageConfig quickCopy(String businessCode) {
        MessageConfig newMessageConfig = new MessageConfig(businessCode);
        newMessageConfig.fields = this.fields;
        newMessageConfig.formats = this.formats;
        return newMessageConfig;
    }
}
